public inbox for linux-btrfs@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH] btrfs/122: adjust nodesize to match pagesize
@ 2023-05-29 13:13 Anand Jain
  2023-06-01  9:32 ` Zorro Lang
  2023-06-02 11:38 ` [PATCH v2] btrfs/122: fix nodesize option in mfks.btrfs Anand Jain
  0 siblings, 2 replies; 8+ messages in thread
From: Anand Jain @ 2023-05-29 13:13 UTC (permalink / raw)
  To: fstests; +Cc: linux-btrfs

btrf/122 is failing on a system with 64k page size:

     QA output created by 122
    +ERROR: illegal nodesize 16384 (smaller than 65536)
    +mount: /mnt/scratch: wrong fs type, bad option, bad superblock on /dev/vdb2, missing codepage or helper program, or other error.
    +mount /dev/vdb2 /mnt/scratch failed
    +(see /xfstests-dev/results//btrfs/122.full for details)

This test case requires the use of a 16k node size, however, it is not
possible on a system with a 64k page size. The smallest possible node size
is the page size. So, set nodesize to the system page size instead.

Signed-off-by: Anand Jain <anand.jain@oracle.com>
---
 tests/btrfs/122 | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/tests/btrfs/122 b/tests/btrfs/122
index 345317536f40..e7694173cc24 100755
--- a/tests/btrfs/122
+++ b/tests/btrfs/122
@@ -18,9 +18,10 @@ _supported_fs btrfs
 _require_scratch
 _require_btrfs_qgroup_report
 
-# Force a small leaf size to make it easier to blow out our root
+# Force a smallest possible leaf size to make it easier to blow out our root
 # subvolume tree
-_scratch_mkfs "--nodesize 16384" >/dev/null
+pagesize=$(get_page_size)
+_scratch_mkfs "--nodesize $pagesize" >> $seqres.full || _fail "mkfs failed"
 _scratch_mount
 _run_btrfs_util_prog quota enable $SCRATCH_MNT
 
-- 
2.38.1


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2023-06-11 11:19 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-05-29 13:13 [PATCH] btrfs/122: adjust nodesize to match pagesize Anand Jain
2023-06-01  9:32 ` Zorro Lang
2023-06-02 11:15   ` Anand Jain
2023-06-02 11:38 ` [PATCH v2] btrfs/122: fix nodesize option in mfks.btrfs Anand Jain
2023-06-10  6:57   ` Zorro Lang
2023-06-10  7:03   ` Zorro Lang
2023-06-10  7:56     ` Anand Jain
2023-06-11 11:18   ` Ritesh Harjani

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox